import java.util.LinkedHashSet;
import java.util.Scanner;

/**
 * 输入n 个整数的序列，要求对这个序列进行去重操作。所谓去重，是指对这个序列中每个重复出现的整数，只保留该数第一次出现的位置，删除其余位置。
 *
 * 输入格式
 *
 * 输入包含两行。
 *
 * 第一行包含一个正整数
 * n 表示第二行序列中数字的个数；
 *
 * 第二行包含
 * n 个整数，用空格分隔。
 * 输出格式
 * 输出为一行，按照输入的顺序输出去重之后的数字，用空格分隔。
 */
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        LinkedHashSet<Integer> set = new LinkedHashSet<>();
        while(n-->0){
            set.add(sc.nextInt());
        }
        for (Integer integer : set) {
            System.out.print(integer+" ");
        }
    }
}